> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List deployments

> List deployments for an app or worker



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /hosting/deployments/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /hosting/deployments/list:
    post:
      tags:
        - Hosting - Deployments
      summary: List deployments
      description: List deployments for an app or worker
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                appUuid:
                  title: App UUID
                  description: Identifier of the app whose deployments to list.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                workerUuid:
                  title: Worker UUID
                  description: Identifier of the worker whose deployments to list.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                userUuid:
                  title: User UUID
                  description: Restrict to deployments created by this user.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                statuses:
                  title: Statuses
                  description: Deployment statuses to include.
                  type: array
                  items:
                    type: string
                    enum:
                      - pending
                      - building
                      - success
                      - error
                      - cancelled
                createdAfter:
                  title: Created after
                  description: Include deployments created after this ISO timestamp.
                  type: string
                createdBefore:
                  title: Created before
                  description: Include deployments created before this ISO timestamp.
                  type: string
                limit:
                  default: 20
                  title: Limit
                  description: Maximum number of deployments to return.
                  type: integer
                  minimum: 1
                  maximum: 100
                offset:
                  default: 0
                  title: Offset
                  description: Number of deployments to skip.
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
              title: Body
              description: Body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                    title: Count
                    description: Total number of deployments matching the filters.
                  deployments:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            uuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            workspaceUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            sourceS3Path:
                              type: string
                            bundleS3Path:
                              anyOf:
                                - type: string
                                - type: 'null'
                            status:
                              type: string
                              enum:
                                - pending
                                - building
                                - success
                                - error
                                - cancelled
                            buildLogS3Filename:
                              anyOf:
                                - type: string
                                - type: 'null'
                            errorMessage:
                              anyOf:
                                - type: string
                                - type: 'null'
                            url:
                              type: string
                            userUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            promotedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                            promotedByUserUuid:
                              anyOf:
                                - type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                - type: 'null'
                            finishedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                            temporalWorkflowId:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                            kind:
                              type: string
                              const: app
                            appUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            meta:
                              type: object
                              properties: {}
                              additionalProperties: false
                          required:
                            - uuid
                            - workspaceUuid
                            - sourceS3Path
                            - bundleS3Path
                            - status
                            - buildLogS3Filename
                            - errorMessage
                            - url
                            - userUuid
                            - promotedAt
                            - promotedByUserUuid
                            - finishedAt
                            - temporalWorkflowId
                            - createdAt
                            - updatedAt
                            - kind
                            - appUuid
                            - meta
                          additionalProperties: false
                        - type: object
                          properties:
                            uuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            workspaceUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            sourceS3Path:
                              type: string
                            bundleS3Path:
                              anyOf:
                                - type: string
                                - type: 'null'
                            status:
                              type: string
                              enum:
                                - pending
                                - building
                                - success
                                - error
                                - cancelled
                            buildLogS3Filename:
                              anyOf:
                                - type: string
                                - type: 'null'
                            errorMessage:
                              anyOf:
                                - type: string
                                - type: 'null'
                            url:
                              type: string
                            userUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            promotedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                            promotedByUserUuid:
                              anyOf:
                                - type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                - type: 'null'
                            finishedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                            temporalWorkflowId:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                            kind:
                              type: string
                              const: worker
                            workerUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            meta:
                              type: object
                              properties:
                                bundleSha256:
                                  type: string
                                outboundAllowlist:
                                  type: array
                                  items:
                                    type: string
                                kind:
                                  type: string
                                  const: custom-integration
                              required:
                                - bundleSha256
                                - outboundAllowlist
                              additionalProperties: false
                          required:
                            - uuid
                            - workspaceUuid
                            - sourceS3Path
                            - bundleS3Path
                            - status
                            - buildLogS3Filename
                            - errorMessage
                            - url
                            - userUuid
                            - promotedAt
                            - promotedByUserUuid
                            - finishedAt
                            - temporalWorkflowId
                            - createdAt
                            - updatedAt
                            - kind
                            - workerUuid
                            - meta
                          additionalProperties: false
                      type: object
                    title: Deployments
                    description: Page of deployments.
                required:
                  - count
                  - deployments
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````